import request from '@/utils/request'
// 【 ezhizao-dms-production 】这个名字对应的就是 nacos 中的服务的 id，必须用“-”分割
// 开发时，在 vite.config.js 中配置 /ezhizao-dms-production，参考 /dev-api 的配置
// 生产时，在nginx中配置 /ezhizao-dms-production，指定对应的 nacos 中的服务 id：/ezhizao-dms-production
const baseUrl = import.meta.env.VITE_APP_PRODUCTION_API

// 获取生产子计划列表
export function getProductionPlanDetailSubDetails(query) {
  return request({
    url: baseUrl + '/business/productionTask/getSubDetails',
    method: 'get',
    params: query
  })
}

// 根据工艺id，获取对应的工序列表
export function getProcessDetailsByTechnicalProcessId(data) {
  return request({
    url: baseUrl + '/business/productionTask/getProcessDetailsByTechnicalProcessId',
    method: 'post',
    data: data
  })
}

// 根据工序id，获取对应的设备列表
export function getSubDetailProcessEquipments(query) {
  return request({
    url: baseUrl + '/business/productionTask/getSubDetailProcessEquipments',
    method: 'get',
    params: query
  })
}
